Get project labels
curl --request GET \
--url https://api.projectcor.com/v1/projects/{project_id}/labels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/projects/{project_id}/labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/projects/{project_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/projects/{project_id}/labels';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/projects/{project_id}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/projects/{project_id}/labels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"labels": [
{
"id": 123,
"name": "<string>",
"labels": [
{
"id": 123,
"hex": "<string>",
"hsl": "<string>",
"rgb": "<string>",
"lang": "<string>",
"name": "<string>",
"color_id": 123
}
]
}
],
"selected": [
{
"id": 123,
"hex": "<string>",
"hsl": "<string>",
"rgb": "<string>",
"lang": "<string>",
"name": "<string>",
"color_id": 123
}
]
}{
"status": 123,
"name": "<string>",
"code": "<string>",
"message": "<string>"
}Project Labels
Get project labels
Returns project label categories and available labels for the company (same shape as grouped categories for the project entity type), plus the labels currently assigned to the given project in selected.
Use GET /categories/labels-model?model=project for a simpler category tree without per-project selection. To assign or remove labels on a project, use PUT /projects/{project_id} with a labels array.
GET
/
projects
/
{project_id}
/
labels
Get project labels
curl --request GET \
--url https://api.projectcor.com/v1/projects/{project_id}/labels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/projects/{project_id}/labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/projects/{project_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/projects/{project_id}/labels';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/projects/{project_id}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/projects/{project_id}/labels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"labels": [
{
"id": 123,
"name": "<string>",
"labels": [
{
"id": 123,
"hex": "<string>",
"hsl": "<string>",
"rgb": "<string>",
"lang": "<string>",
"name": "<string>",
"color_id": 123
}
]
}
],
"selected": [
{
"id": 123,
"hex": "<string>",
"hsl": "<string>",
"rgb": "<string>",
"lang": "<string>",
"name": "<string>",
"color_id": 123
}
]
}{
"status": 123,
"name": "<string>",
"code": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Query Parameters
Response
Grouped project labels and labels assigned to this project
Was this page helpful?

